<template>
  <i-wrapper top>
    <!-- <nuxt-link to="step-3" class="next">step 4 &gt;</nuxt-link> -->
    <i-stepper :total="auth.onboarding.total" :filled="8" />
    <i-curtain tag="form" @submit="submit()">
      <img src="~assets/images/bubbles-orange.svg" class="bubbles bubbles--custom" />
      <img src="~assets/images/ring-badge-1.png" class="ring-badge" />
      <div class="title px-1 text-center">{{ $t(`Notifications`) }}</div>
      <div class="normal-text text-center px-1">
        {{ $t(`Would it be OK with you to receive reminders when predictions are ready?`) }}
      </div>
      <template #bottom>
        <i-button block :loading="isLoading === 'submit'" :disabled="!!isLoading" @click="submit()">
          {{ $t(`OK`) }}
        </i-button>
        <i-button block transparent :loading="isLoading === 'skip'" :disabled="!!isLoading" @click="submit(true)">
          {{ $t(`I WILL CHECK ON MY OWN`) }}
        </i-button>
      </template>
    </i-curtain>
  </i-wrapper>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    layout: 'default',

    data() {
      return {
        isLoading: null,
      };
    },

    computed: {
      ...mapState(['auth']),
    },

    mounted() {
      //
    },

    methods: {
      async submit(skip = false) {
        if (this.isLoading) {
          return;
        }

        this.isLoading = skip ? 'skip' : 'submit';

        try {
          let response = await this.$axios.post(`onboarding/notifications`, {
            receiveNotificationsAt: skip
              ? null
              : this.$store.state.auth.onboarding.receiveNotificationsAt || '12:00:00',
          });

          ga('send', 'event', 'onb_8_notifications');
          this.$store.commit('MERGE_AUTH', { onboarding: response.data.data, user: response.data.data.user });
          await this.$router.push(this.localePath({ name: 'preparing' }));
        } catch (error) {
          this.isLoading = null;
          throw error;
        }
      },
    },
  };
</script>

<style lang="scss">
  .ring-badge {
    width: rw(106px);
    margin-top: rs(30px);
  }

  .title {
    font-weight: bold;
    font-size: rf(20px);
    margin-top: rs(15px);
  }

  .normal-text {
    font-size: rf(16px);
    margin-top: rs(15px);
  }

  .bubbles--custom {
    top: rs(147px);
  }
</style>
